%global verrel 1407.00

Name:	voxelands
Version:	%{verrel}
Release:	1%{?dist}
Summary:	The Fun-Focused Free Software Voxel World Game

Group:		Amusements/Games
License:	GPLv3
URL:		http://wwww.voxelands.com
Source0:	http://voxelands.com/downloads/%{name}-%{verrel}-src.tar.bz2

BuildRequires:	 cmake irrlicht-devel bzip2-devel gettext-devel libsqlite3x-devel
BuildRequires:   libpng-devel libjpeg-turbo-devel libXxf86vm-devel mesa-libglapi
BuildRequires:   desktop-file-utils
Requires:	hicolor-icon-theme

%description
Voxelands was originally forked from the Minetest-C55 0.3.x codebase. Changes to
date included a snow biome, farming, several new draw types - including diagonal
fences, walls, and proper sloped roofs - books that can be written in or display
craft guides, 3D players and mobs, a newly designed game ui, and much much more.

%prep
%setup -q -n %{name}


%build
cmake -DBUILD_SERVER=0 -DRUN_IN_PLACE=0
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_bindir}
cp -p %{buildroot}%{_prefix}/local/bin/%{name} %{buildroot}%{_bindir}

# scalable icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
cp -p %{name}-icon.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps

# 24x24 icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/24x24/apps
cp -p %{name}-icon-24x24.png %{buildroot}%{_datadir}/icons/hicolor/24x24/apps

# add desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop


%find_lang %{name}


%clean
rm -rf %{buildroot}


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [$1 -eq 0]; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor/ &>/dev/null || :
fi

%posttrans
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor/ &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_prefix}/local/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}-icon.svg
%{_datadir}/icons/hicolor/24x24/apps/%{name}-icon-24x24.png


%doc README.txt doc/changelog.txt doc/gpl-3.0.txt doc/mapformat.txt doc/mapformat.txt


%changelog
* Fri Aug 22 2014 Ye Myat Kaung <mavjs01@gmail.com> - 1407.00-1
- Initial package for voxelands copr repo.

